Network Tools - Bug #1837

Inputs do not load on 6.6 in Website Inputs app
05/03/2017 06:37 AM - Luke Murphey

Status: Closed Start date: 05/03/2017
Priority: Urgent Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.10

Description

Associated revisions

Revision 423 - 05/03/2017 10:17 PM - lukemurphey

Fixing issue where inputs could not be loaded sometimes

Reference #1837

Revision 154 - 05/04/2017 05:58 AM - lukemurphey

Fixing incorrectly named exposed endpoint

Reference #1837

Revision 155 - 05/04/2017 06:09 AM - lukemurphey

Improving the styling of the checkbox on the ping view

Reference #1837

History

#1 - 05/03/2017 06:41 AM - Luke Murphey

- Priority changed from Normal to Urgent

It appears that SplunkWeb isn't allowing access.

Works: https://10.0.1.14:8089/servicesNS/nobody/launcher/data/inputs/web_input/thecus BIOS_downloads works but

Doesn't work:

http://10.0.1.14:8000/en-US/splunkd/ __raw/servicesNS/nobody/launcher/data/inputs/web_input/thecus_BIOS downloads?output mode=json& =149
3793594196 404

#2 - 05/03/2017 06:43 AM - Luke Murphey

This works for some reason:
http://10.0.1.14:8000/en-US/splunkd/__raw/services/data/inputs/web_input/?count=-1&output_mode=json& =1493793762642

But this doesn't:
http://10.0.1.14:8000/en-US/splunkd/__raw/services/data/inputs/web_input/ads|_stats?count=-1&output_mode=json& =1493793762642

04/18/2024 1/3



https://10.0.1.14:8089/servicesNS/nobody/launcher/data/inputs/web_input/thecus_BIOS_downloads
http://10.0.1.14:8000/en-US/splunkd/__raw/servicesNS/nobody/launcher/data/inputs/web_input/thecus_BIOS_downloads?output_mode=json&_=1493793594196
http://10.0.1.14:8000/en-US/splunkd/__raw/servicesNS/nobody/launcher/data/inputs/web_input/thecus_BIOS_downloads?output_mode=json&_=1493793594196
http://10.0.1.14:8000/en-US/splunkd/__raw/services/data/inputs/web_input/?count=-1&output_mode=json&_=1493793762642
http://10.0.1.14:8000/en-US/splunkd/__raw/services/data/inputs/web_input/adsl_stats?count=-1&output_mode=json&_=1493793762642

#3 - 05/03/2017 05:09 PM - Luke Murphey

Creating a new input worked. | also made one in the launcher app and it worked.

#4 - 05/03/2017 05:42 PM - Luke Murphey

Observations:

Inputs endpoint is not accessible from SplunkWeb
_new doesn't load either
Endpoint is loadable from splunkd
Listing endpoint with full namespace works
o https://splunk.lukemurphey.net/en-US/splunkd/ _raw/servicesNS/nobody/website input/data/inputs/web_input/?count=-1&output_mode=jso
n& =1493833401770
o https://splunk.lukemurphey.net/en-US/splunkd/__raw/services/data/inputs/web_input/?count=-1&output_mode=json&_=1493833401770

Questions:

Is something to do with web.conf?
Do other apps with web.conf work?
Why does the listing work?
Does this work on Linux?
o Not on a production, upgraded host
o Did work on a fresh install of 6.6
o Attempting upgrade from 6.5.3 (install 6.5.3, install app, make input, upgrade Splunk install)
o Still worked
e Can this be reproduced in another Windows install?
¢ Does this only exist when a build is upgraded?
Does reinstalling the app fix it?
o Trying: https:/build.lukemurphey.net/go/tab/build/detail/web-input-rome/14/installStage/1/install
o Nope
Are there any related log messages?
o Not that | can find
Try loosening web.conf
o http://docs.splunk.com/Documentation/Splunk/6.6.0/Admin/Webconf#web.conf.spec
o Tried: works!
e |s this due to a combination of apps?
Is there a way to get a list of all of the exposed endpoints?
Can disable/enable inputs?
o Returns 200, but doesn't seem to do anything

This works:

[expose:web_input]
methods = GET,POST,DELETE
pattern = data/inputs/web_input/**
#5 - 05/03/2017 10:58 PM - Luke Murphey

This is weird, if | copy the web.conf to local, then it works.

#6 - 05/04/2017 05:56 AM - Luke Murphey

- Project changed from Website Input to Network Tools

- Subject changed from Inputs do not load on 6.6 to Inputs do not load on 6.6 in Website Inputs app
- Category deleted (Dashboard: Input Editor)

- Target version changed from 4.2.1 to 0.10
#7 - 05/04/2017 06:12 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
